> ## Documentation Index
> Fetch the complete documentation index at: https://pentest-tools.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all HTTP loggers



## OpenAPI

````yaml https://app.pentest-tools.com/api-schema.yml get /http_loggers
openapi: 3.0.3
info:
  title: pentest-tools.com REST API
  version: 1.0.1.1
servers:
  - url: https://app.pentest-tools.com/api/v2
security:
  - bearerAuth: []
tags:
  - name: targets
    x-displayName: Targets
    description: Operations done on Targets
  - name: scans
    x-displayName: Scans
    description: Operations done on Scans
  - name: workspaces
    x-displayName: Workspaces
    description: Operations done on Workspaces
  - name: http_loggers
    x-displayName: HTTP Loggers
    description: Operations done on HTTP Loggers
  - name: wordlists
    x-displayName: Wordlists
    description: Operations done on Wordlists
  - name: finding_templates
    x-displayName: Finding Templates
    description: Operations done on Finding Templates
  - name: vpn_profiles
    x-displayName: VPN Profiles
    description: Operations done on VPN Profiles
  - name: findings
    x-displayName: Findings
    description: Operations done on Findings
  - name: reports
    x-displayName: Reports
    description: Operations done on Reports
paths:
  /http_loggers:
    parameters:
      - name: workspace_id
        in: query
        description: >-
          ID of the workspace to show HTTP loggers from. If not set, all of them
          will be returned.
        schema:
          type: integer
    get:
      tags:
        - http_loggers
      summary: Get all HTTP loggers
      operationId: get_loggers
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/HttpLogger'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '429':
          $ref: '#/components/responses/TooManyRequestsError'
        '500':
          description: Internal server error
components:
  schemas:
    HttpLogger:
      type: object
      properties:
        id:
          type: integer
          description: the ID of the HTTP request logger
          readOnly: true
        label:
          type: string
          description: A unique label for the HTTP request logger
          example: mypentest
        handler_url:
          type: string
          format: url
          readOnly: true
          description: The URL used to populate the data for the HTTP request logger
          example: https://pentest-tools.com/logger/55iIAkDkGn
        active_days:
          type: integer
          minimum: 0
          readOnly: true
          description: >-
            The number of days left before the HTTP request logger becomes read
            only
          example: 42
        num_requests:
          type: integer
          minimum: 0
          readOnly: true
          description: The number of requests made for the logger
          example: 32
        requests_left:
          deprecated: true
          type: integer
          minimum: 0
          readOnly: true
          description: >-
            The number of requests left before the logger becomes read only.
            This is always 100.
          example: 100
      required:
        - label
    ErrorResponse:
      type: object
      additionalProperties: false
      properties:
        status:
          type: integer
          example: 401
        message:
          type: string
          example: No API key specified
  responses:
    UnauthorizedError:
      description: API key is missing or invalid
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ForbiddenError:
      description: You can"t perform this action.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    TooManyRequestsError:
      description: Too many requests made in a short period of time
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use the "API key" from the [profile
        page](https://app.pentest-tools.com/account/api) as the token

````